
Ruby - Bug #4755

Cleanup and enhance docs for timeout (patch included)

05/22/2011 04:26 AM - davetron5000 (David Copeland)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-05-16 trunk 31583)

[x86_64-darwin10.7.0]

Backport:  

Description

The docs for timeout could use some cleanup

Associated revisions

Revision 883fb2bb - 05/22/2011 02:27 AM - drbrain (Eric Hodel)

lib/timeout.rb:  Improve documentation.  Patch by David Copeland.

[Ruby 1.9 - Bug #4755]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31687 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/22/2011 11:27 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31687.

David, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/timeout.rb:  Improve documentation.  Patch by David Copeland.

[Ruby 1.9 - Bug #4755]

#2 - 05/22/2011 11:28 AM - drbrain (Eric Hodel)

I restored the "Note" paragraph from Timeout#timeout and completed the first line of the module Timeout.

Files

0001-timeout-docs.patch 3.22 KB 05/22/2011 davetron5000 (David Copeland)
